2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Matthias Clasen <mclasen@redhat.com>

	As a stop-gap measure, until we've got a proper search interface,
	simply check whether beagle or tracker are installed, and prefer them
	to gnome-search-tool if they are (bug #497802)

	* gnome-settings-multimedia-keys.c: (do_action): prefer beagle and
	tracker to gnome-search-tool

2007-12-06  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-xsettings.c: use new setting from libgnome to make
	toolbar icon size setting work (bug #401030)

2007-11-28  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-multimedia-keys.c: (do_action): launch Nautilus with
	--no-desktop for the home key so we don't mess up the desktop for
	people using something else to manage the background (bug #500085)

2007-11-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Dan Winship <danw@novell.com>
	          Lucas Rocha <lucasr@gnome.org>

	* Makefile.am:
	* gnome-settings-daemon.c: (gnome_settings_daemon_init):
	* gnome-settings-xrandr.c: move display settings here from
	gnome-session (bug #434982)

2007-11-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Bastien Nocera <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: allow key bindings using Super and
	Meta combinations (bug #165343)

2007-11-11  Jens Granseuer  <jensgr@gmx.net>

	* gsd-media-keys-window.c: (gsd_media_keys_window_init): slightly
	increase the popup window size again (130x130 at 640x480 and scaled
	from there)

2007-11-10  Jens Granseuer  <jensgr@gmx.net>

	The media window popup has a fixed size 300x300 when running in
	composited mode. For smaller display sizes this is quite excessive.
	Change the window size to be 100x100 on 800x600 and smaller screens,
	and scale up from that for anthing bigger. (bug #495346)

	* gsd-media-keys-window.c: (initialize_alpha_mode),
	(gsd_media_keys_window_init): make composited media popup window sizes
	scale with the screen size

2007-10-26  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Iain Holmes <iain@gnome.org>

	* gsd-media-keys-window.c: (fade_timeout), (hide_timeout),
	(remove_hide_timeout), (add_hide_timeout), (on_expose_event),
	(gsd_media_keys_window_init): gradually fade out the OSD when composited
	(bug #490593)

2007-10-16  Sergey Udaltsov <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: no more "configuration changed"
	warning, http://bugzilla.gnome.org/show_bug.cgi?id=358048

2007-10-08  Sergey Udaltsov <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: dropping unneeded dbus server

2007-08-22  Sergey Udaltsov <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: initializing current_*config early,
	so callback (apply_settings) would not crash,
	http://bugzilla.gnome.org/show_bug.cgi?id=469192

2007-08-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-keyboard-xkb.c
	(gnome_settings_keyboard_xkb_analyze_sysconfig): use
	gnome_settings_delayed_show_dialog() to display the error message,
	so that it is shown when a window manager is running, thus being
	centered and with a proper frame.

2007-08-18  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme-volume-gstreamer.c: (update_state): don't check the
	internal volume since this makes it impossible to unmute a low volume
	(that translates to an internal GStreamer volume of 0)

	* gnome-settings-multimedia-keys.c: (do_sound_action): if we're
	muted and silent, don't just unmute on VOL+ but also raise the
	volume

2007-08-17  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-daemon.c: (initialize_modules), (start_modules),
	(stop_modules), (finalize), (gnome_settings_daemon_init),
	(gnome_settings_daemon_new): use a list instead of a hash table to
	store the settings modules (closes bug #449118)

2007-07-12  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-xsettings.c:
	(gnome_settings_module_xsettings_initialize): don't forget the Xft
	callback (fixes bug #455992)

2007-07-01  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Grzegorz Dymarek <gregd@interia.pl>

	* gnome-settings-multimedia-keys.c: (do_sound_action): don't
	unmute when lowering the volume and switch to muted when the
	volume reaches 0 (closes bug #337896)

2007-07-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-background.c:
	(gnome_settings_module_background_start): if we don't take over
	the background because nautilus is running, don't treat that as
	an error

2007-07-01  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-accessibility-keyboard.c:
	(gnome_settings_module_accessibility_keyboard_get_type):
	* gnome-settings-background.c:
	(gnome_settings_module_background_get_type):
	* gnome-settings-clipboard.c:
	(gnome_settings_module_clipboard_get_type):
	* gnome-settings-default-editor.c:
	(gnome_settings_module_default_editor_get_type):
	* gnome-settings-font.c: (gnome_settings_module_font_get_type):
	* gnome-settings-gtk1theme.c:
	(gnome_settings_module_gtk1_get_type):
	* gnome-settings-keybindings.c:
	(gnome_settings_module_keybindings_get_type):
	* gnome-settings-keyboard.c:
	(gnome_settings_module_keyboard_get_type):
	* gnome-settings-module.c: (gnome_settings_module_get_type):
	* gnome-settings-mouse.c: (gnome_settings_module_mouse_get_type):
	* gnome-settings-multimedia-keys.c:
	(gnome_settings_module_multimedia_keys_get_type):
	* gnome-settings-screensaver.c:
	(gnome_settings_module_screensaver_get_type):
	* gnome-settings-sound.c: (gnome_settings_module_sound_get_type):
	* gnome-settings-typing-break.c:
	(gnome_settings_module_typing_break_get_type):
	* gnome-settings-xrdb.c: (gnome_settings_module_xrdb_get_type):
	* gnome-settings-xsettings.c:
	(gnome_settings_module_xsettings_get_type): reduce static data

2007-07-01  Jens Granseuer  <jensgr@gmx.net>

	* factory.c: (main):
	* gnome-settings-keybindings.c:
	* gnome-settings-mouse.c:
	* gnome-settings-screensaver.c: (key_toggled_cb):
	* gnome-settings-xrdb.c: fix compiler warnings (closes bug #438152)

2007-06-29  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme.glade:
	* gsd-media-keys-window.c: (gsd_media_keys_window_init): add a frame to
	the media popup (closes bug #451674)

2007-06-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-daemon.c: incorporate fixes from Matthias Clasen in
	bug #430889
	(gnome_settings_daemon_init): create the DBus server here.
	(gnome_settings_daemon_new): install an idle callback to initialize the
	modules.
	(init_modules_idle_cb): initialize modules and install an idle callback
	to start the modules.
	(start_modules_idle_cb): start modules here.
	(finalize): unref the DBus service.

2007-06-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-accessibility-keyboard.c:
	* gnome-settings-keybindings.c:
	* gnome-settings-keyboard.c:
	* gnome-settings-multimedia-keys.c:
	* gnome-settings-xrdb.c:
	* gnome-settings-daemon.c: all modules use now the new arch.

	* gnome-settings-background.c (background_callback): pass the correct
	argument to the idle callback.

2007-06-21  Matthias Clasen <mclasen@redhat.com>

	* gnome-settings-screensaver.c (gnome_settings_module_screensaver_start):
	fix spawning of gnome-screensaver.

2007-06-19  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-module.c (gnome_settings_module_start|_stop): return
	TRUE if the module does not implement the method. It's not an error,
	just the module does not need to implement it.

	* gnome-settings-daemon.c (gnome_settings_daemon_init): allocate memory
	for the index in the hash table.

2007-06-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-typing-break.c: converted to new arch.

	* gnome-settings-daemon.c: use new converted modules.

	* Makefile.am: removed unneeded header files.

	* factory.c (main): call g_thread_init to avoid warnings.

2007-06-18  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: remove non-existing gnome-settings-xsettings.h

2007-06-15  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-screensaver.c:
	(gnome_settings_module_screensaver_start): don't leak the GError

2007-06-11  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: (do_action): Force launching
	nautilus in the home directory, rather than relying on it
	opening there (Closes: #356069)

2007-06-06  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-default-editor.c:
	* gnome-settings-gtk1theme.c:
	* gnome-settings-mouse.c:
	* gnome-settings-sound.c:
	* gnome-settings-xsettings.c: converted more modules to the new arch.

	* gnome-settings-daemon.c (gnome_settings_daemon_new): now this is much
	cleaner.

2007-06-05  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-font.c:
	* gnome-settings-daemon.c: converted font module to a loadable module.

2007-05-28  Jan Arne Petersen  <jpetersen@jpetersen.org>

	* actions/acme-volume-gstreamer.c: (acme_volume_gstreamer_open): set
	the device property to the correct value before opening the mixer.
	(closes bug #441552)

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* GNOME_SettingsDaemon.server.in: remove file

2007-05-25  Jens Granseuer  <jensgr@gmx.net>

	* eggaccelerators.c: (egg_accelerator_parse_virtual): sync with libegg
	code (closes bug #441042)

2007-05-17  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Chad Miller
                            
	* gnome-settings-dbus.c: (gnome_settings_server_init): double-check
	that DBUS really passed us an error (closes bug #439208)

2007-05-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-daemon.c: declare module types registration functions.

	* gnome-settings-screensaver.c: use correct parent for
	GnomeSettingsModuleScreensaverClass.

2007-05-13  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-multimedia-keys.c: (do_eject_action): use "eject -T" as
	the default eject command (closes bug #386297)

2007-05-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-screensaver.c: converted to a loadable module.

	* gnome-settings-screensaver.h: removed unneeded file.

2007-05-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-background.c (gnome_settings_module_background_init,
	gnome_settings_module_background_start): no need to keep the GConfClient
	around, it is already stored in the GnomeSettingsModule class.

2007-05-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-background.c: removed G_BEGIN|END_DECLS.
	(gnome_settings_module_background_get_type): register with correct type.
	(gnome_settings_module_background_initialize): store the GConfClient we get.
	(gnome_settings_module_background_start): use the stored GConfClient.

	* gnome-settings-background.h: removed unneeded file.

	* gnome-settins-clipboard.c: new file to implement the clipboard manager as
	a loadable module. Replaces clipboard-manager.[ch].

	* gnome-settings-daemon.c: removed old clipboard manager and use the new
	module-based one.

	* Makefile.am: added/removed sources.

2007-05-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-background.c: changed to use the new GnomeSettingsModule
	class for loadable modules.

	* gnome-settings-daemon.c (initialize_modules, start_modules,
	stop_modules): new functions to call modules's methods.
	(gnome_settings_daemon_init): get all module types and create objects
	from each of them.
	(gnome_settings_daemon_new): added code to call loadable modules's
	methods where appropriate.

2007-04-24  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-module.h: added missing prototype.

2007-04-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-module.[ch] (gnome_settings_module_get_runlevel):
	new method.

2007-04-20  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-module.[ch]: new class for modules.

	* Makefile.am: added new files.

2007-04-11  Ross Burton  <ross@burtonini.com>

	* xrdb/General.ad:
	* xrdb/Motif.ad:
	* xrdb/Editres.ad:
	* xrdb/Xaw.ad:
	* xrdb/Emacs.ad:
	Remove all settings that are not related to colour (#428615).

2007-04-10  Alexander Larsson <alexl@redhat.com>

	* utils.c (config_notify):
	Also check registered directories for notification.
	Fixes theme e.g. switching.

2007-04-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* gnome-settings-daemon.c (gnome_settings_daemon_new): return NULL
	when there is an error, not exit(), so that we do proper cleanup.
	Remove code to register GConf callbacks, that is done in utils.c.
	(gnome_settings_daemon_get_conf_client,
	 gnome_settings_daemon_register_callback,
	 gnome_settings_daemon_spawn_with_input,
	 gnome_settings_daemon_get_invisible,
	 gnome_settings_daemon_delayed_show_dialog): removed from the
	GnomeSettingsDaemon interface.

	* utils.c (gnome_settings_get_config_client,
	 gnome_settings_get_invisible,
	 gnome_settings_register_config_callback,
	 gnome_settings_spawn_with_input,
	 gnome_settings_delayed_show_dialog): moved from GnomeSettingsDaemon
	interface.

	* factory.c (main): check return value from gnome_settings_daemon().

	* *.c: adapted to changes in function names.

	* Makefile.am: put source files in alphabetical order.

2007-03-29  Priit Laes  <amd@store20.com>

	* gnome-settings-multimedia-keys.c: (get_term_command), (execute),
	(do_unknown_action), (do_help_action), (do_mail_action),
	(do_media_action), (do_www_action), (do_exit_action), (do_eject_action),
	(do_action): Fix launch application in terminal support. (closes bug
	#362578).

2007-03-26  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-multimedia-keys.c: (dialog_init):
	* gsd-media-keys-window.c: (gsd_media_keys_window_is_valid),
	(initialize_alpha_mode):
	* gsd-media-keys-window.h: rebuild the media window if the state of
	composite has changed (fixes bug #408035)

2007-03-24  Jens Granseuer  <jensgr@gmx.net>

	* xrdb/Emacs.ad: don't set Emacs.mode-line.attributeBackground as it
	seems to cause problems with emacs 22 (closes bug #416823)

2007-03-22  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-dbus.c: (gnome_settings_server_init): don't crash if
	dbus connection is not available (part of bug #411504)

2007-03-20  Priit Laes  <plaes@svn.gnome.org>

	* gnome-settings-multimedia-keys.c: (do_media_action), (do_action): Added
	handler for media keybinding.
	* actions/acme.h: Add defines for media key.

	Introduces preferred media application support. Bug #362578.

2007-03-18  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-multimedia-keys.c: (dialog_show): fix multimedia
	window appearing in a different position when shown for the first time
	and thus causing a "jump" effect on the second (fixes bug #400915)

2007-02-28  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme-volume-gstreamer.c: (acme_volume_gstreamer_open): ref
	the master track (fixes bug #412467)

2007-02-25  Jens Granseuer  <jensgr@gmx.net>

	* test-media-window.c: (test_window): fix compiler warning

2007-02-23  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-accessibility-keyboard.c:
	(gnome_settings_accessibility_keyboard_load): correctly pass the
	function address when setting up the event filter

2007-02-16  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-keybindings.c: (gnome_settings_keybindings_init):
	don't install the same filter twice for the default root window (fixes
	bug #408643)

2007-02-14  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-mouse.c: (configure_button_layout),
	(set_left_handed): if X refuses to update the pointer mapping (busy)
	don't just ignore the error but retry after a short delay (fixes bug
	#349538)

2007-02-14  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_set_mute),
	(acme_volume_gstreamer_get_volume),
	(acme_volume_gstreamer_set_volume): properly round volumess so that
	volume-up and volume-down act symmetrically, ie. lowering and raising
	volume will end up at the original level (fixes bug #389996)

2007-02-10  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-font.c: (load_cursor): if the new font path could not
	be set, revert to the old path (fixes bug #397504)

2007-02-09  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Bastien Nocera <hadess@hadess.net>

	* gnome-settings-dbus.c:
	(gnome_settings_server_media_player_key_pressed):
	* gnome-settings-dbus.h:
	* gnome-settings-multimedia-keys.c: (do_multimedia_player_action),
	(do_action), (acme_filter_events): eat media player keys if someone is
	listening on the dbus interface already (fixes bug #394313)

2007-02-05  William Jon McCann  <mccann@jhu.edu>

	* gsd-media-keys-window.c: (render_eject), (draw_eject),
	(draw_waves), (draw_speaker), (render_speaker),
	(draw_volume_boxes), (on_expose_event):
	Use #define for the alpha levels.

2007-02-05  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am:
	* gsd-media-keys-window.c: (load_pixbuf), (render_eject),
	(draw_eject), (draw_action_eject), (draw_waves), (draw_speaker),
	(render_speaker), (draw_volume_boxes), (draw_action_volume),
	(on_expose_event):
	* test-media-window.c: (update_state), (test_window), (main):
	Make the new volume overlay window follow the
	icon and color themes.  Add an unstalled test app. Fixes #403320

2007-02-03  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Paolo Borelli <pborelli@katamail.com>

	* gnome-settings-keybindings.c: (get_screens_list),
	(screen_exec_display_string), (entry_get_string),
	(bindings_get_entry), (gnome_settings_keybindings_load): plug some
	memory leaks (fixes bug #342672)

2007-02-02  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_set_mute): round volume instead of
	truncating on unmute so a simple mute/unmute doesn't lower the
	volume (fixes bug #400966)

2007-01-31  Jens Granseuer  <jensgr@gmx.net>

	* factory.c: (main): don't leak the GnomeProgram reference

2007-01-31  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-multimedia-keys.c: (acme_filter_events): make sure
	we have a key event before treating it as such (fixes bug #382503)

2007-01-31  Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-keyboard-xkb.c:
	(gnome_settings_keyboard_xkb_init): don't install the same filter
	twice; we already install it for all windows, so we don't need
	another one for the root window (fixes bug #382504)

2007-01-30  Jens Granseuer  <jensgr@gmx.net>

	* gsd-media-keys-window.c: (gsd_media_keys_window_new): property
	is called "focus-on-map", not "set-focus-on-map"

2007-01-30  Jens Granseuer  <jensgr@gmx.net>

	* actions/acme-volume-gstreamer.c: (update_state): initialize 'vol'
	variable to prevent crashes/assertion failures trying to set
	ridiculously high/low volume (fixes bug #401376)

2007-01-29  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-settings-background.c:
	* gnome-settings-background.h:
	* gnome-settings-dbus.c:
	* gnome-settings-font.c:
	* gnome-settings-font.h:
	* gnome-settings-keyboard.c: (numlock_NumLock_modifier_mask),
	(numlock_gconf_state_key), (numlock_get_gconf_state),
	(numlock_install_xkb_callback):
	* gnome-settings-mouse.c:
	* gnome-settings-mouse.h:
	* gnome-settings-xmodmap.c: (gnome_settings_load_modmap_files):
	Sparse warning fixes:
	- Mark some stuff static
	- ANSIfication of function declarations
	- Some other bits.

2007-01-14  Thomas Wood  <thos@gnome.org>

	Patch by: Jens Granseuer  <jensgr@gmx.net>

	* gnome-settings-accessibility-keyboard.c: Remove has_filter variable
	that was never initialised. Fixes bug 382502.

2007-01-10  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Fixes #395083

	* actions/acme-volume-gstreamer.c: (acme_volume_gstreamer_open): added
	missing NULL-check.

2007-01-08  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Fixes #173035

	* actions/Makefile.am:
	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_finalize), (acme_volume_gstreamer_set_mute),
	(update_state), (acme_volume_gstreamer_get_mute),
	(acme_volume_gstreamer_get_volume),
	(acme_volume_gstreamer_set_volume),
	(acme_volume_gstreamer_close_real), (_acme_set_mixer),
	(acme_volume_gstreamer_open), (acme_volume_gstreamer_init): added
	support for multiple mixer tracks. Added support for gconf device and
	track selection.

2007-01-08  Jan Arne Petersen <jap@gnome.org>

	* ./: updated svn:ignore property.

2007-01-08  Jan Arne Petersen <jap@gnome.org>

	* gnome-settings-dbus.h, gnome-settings-marshal.list: added new files
	from previous patch to svn.

2007-01-08  Jan Arne Petersen <jap@gnome.org>

	Fixes #133815

	* gnome-settings-multimedia-keys.c: added support for storing the DBus
	server.
	(unhookup_keysim, hookup_keysim): removed.
	(update_kbd_cb, init_kbd, acme_filter_events): iterate over all handled
	keys, not just until the PLAY_KEY.
	(do_multimedia_player_action): emit the "media_player_key_pressed" event.
	(do_action): call do_multimedia_player_action for all media player events.
	(gnome_settings_multimedia_keys_load): start a DBus server.

	* gnome-settings-dbus.c: added "media_player_key_pressed" signal.
	(find_by_application, find_by_time): new functions to search in the list
	of media players.
	(settings_daemon_grab_media_player_keys,
	settings_daemon_release_media_player_keys): new functions to grab/release
	the media players.
	(gnome_settings_server_get): new function to create GnomeSettingsServer
	objects.
	(gnome_settings_server_media_player_key_pressed,
	gnome_settings_server_constructor): new functions.
	(gnome_settings_server_class_init): add new signal and constructor.

	* gnome-settings-dbus.h: new file.

	* gsd-infos.xml: added GrabMediaPlayerKeys and ReleaseMediaPlayerKeys
	methods to the DBus interface.

	* gnome-settings-marshal.list, Makefile.am: generate marshalling
	functions.
	
2007-01-06  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	Fixes #392276

	* gnome-settings-sound.c: #ifdef esd-related code.

2006-10-12  Dan Winship  <danw@novell.com>

	* delayed-dialog.c (gnome_settings_delayed_show_dialog): new
	method to delay showing a dialog until after the window manager is
	running.

	* gnome-settings-font.c (load_cursor): 
	* gnome-settings-keyboard-xkb.c (activation_error): Use it.

2006-08-24  Andre Klapper <a9016009@gmx.de>

	Fixes #170318

	* gnome-settings-multimedia-keys.c (init_kbd): avoid grabbing all
	the keyboard when the key code cannot be retrieved.

2006-07-11  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix distclean build target

2006-07-11  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: clean variables not used

2006-07-06  Sergey Udaltsov <svu@gnome.org>

	Fixing the build process

2006-06-23  Sergey Udaltsov <svu@gnome.org>

	* factory.c, gnome-settings-daemon.c,
	gnome-settings-daemon.h,gnome-settings-daemon.pc.in,
	gnome-settings-dbus.c, gnome-settings-keyboard-xkb.c,
	gnome-settings-keyboard-xkb.h, gsd-infos.xml,
	org.gnome.SettingsDaemon.service.in: g-s-d is now DBUS-enabled,
	implements 2 interfaces - one for gnome-session, another for keyboard
	indication (see gsd-infos.xml)
	Also, major libgswitchit API change.

2006-05-24  Paolo Borelli <pborelli@katamail.com>

	Fixes #342570

	* gnome-settings-multimedia-keys.c (update_kbd_cb, do_eject_action):
	fixed leaked strings returned from gconf_client_get_string.

2006-05-23  Paolo Borelli <pborelli@katamail.com>

	Fixes #342568

	* gnome-settings-sound.c (reload_foreach_cb): fixed leak.

2006-04-28  Joe Marcus Clarke <marcusi@freebsd.org>

	Fixes #338849

	* actions/acme-volume-gstreamer.c: added missing header to avoid
	64bit crash on missing prototype.

2006-04-27  Bastien Nocera  <hadess@hadess.net>

	* actions/Makefile.am:
	* actions/acme-brightness.png:
	* actions/acme-fb-level.c:
	* actions/acme-fb-level.h:
	* actions/acme.h:
	* gnome-settings-multimedia-keys.c: (do_action),
	(acme_filter_events), (gnome_settings_multimedia_keys_load):
	Remove references to the brightness controls, we have moved the
	functionality (and enhanced it!) to gnome-power-manager
	(Closes: #339857)

2006-04-20  Sergey Udaltsov <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: fixed the libxklavier engine
	initialization logic. Made the configuration error readable (bug
	333091)

2006-04-17  Ray Strode <rstrode@redhat.com>

	* gnome-settings-mouse.c (configure_button_layout): fix
	potential (tiny, hard to trigger) overrun (bug 338254)

2006-04-10  Marien Zwart <marienz@gentoo.org>

	Fixes #323724

	* gnome-settings-mouse.c (configure_button_layout): fixed button
	mapping with evdev/left handed.

2006-03-29  Arjan Timmerman <arjani@soulfly.nl>

        Fixes #334153

	* factory.c (register_server): no trim needed. Now really fixed.

2006-03-23  Rodrigo Moya <rodrigo@novell.com>

	* factory.c (register_server): set DISPLAY environment variable as
	it is, no trimming needed.

2006-03-06  Michael Witrant <mike@lepton.fr>

	Fixes #94049

	* factory.c (register_server): new function, does the registration
	per DISPLAY.
	(main): call register_server.

2006-03-02  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-sound.c (start_esd): don't spawn esd, already done
	by libesound.

2006-02-15  Jens Granseuer <jensgr@gmx.net>

	Fixes #331168

	* acme-volume-gstreamer.c (acme_volume_gstreamer_open): C89 compilation
	fixes.

2006-02-06  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-sound.c (start_esd): only start esd if not running.

2006-01-30  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-multimedia-keys.c: reverted commit from 2006-01-11.
	
2006-01-28  chpe <chpe@gnome.org>

	Fixes #325686

	* gnome-settings-accessibility-keyboard.c (warning_dialog_post):
	added "accept_action" and "reject_action" arguments to show that in
	the buttons, rather than OK/CANCEL.
	(ax_slowkeys_warning_keys, ax_stickykeys_warning_dialog_post): use
	verbs in the buttons.

2006-01-28  Scott Bronson <bronson@rinspin.com>

	Fixes #318056

	* gnome-settings-font.c (load_cursor): use "mouse pointer" instead of
	"cursor" in user-visible strings.

2006-01-17  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-font.c (load_cursor): use g_mkdir_with_parents instead
	of creating the whole hierarchy by hand.

2006-01-15  Sebastien Bacher  <seb128@debian.org>

	* actions/Makefile.am:
	* actions/acme-volume-gstreamer.c: (_acme_set_mixer),
	(acme_volume_gstreamer_open): 
	optional use of gstreamer0.10, patch based on the work
	done by Saleem Abdulrasool and Tim-Philipp M?ller (Fixes: #326257)

2006-01-14  Rodney Dawes  <dobey@novell.com>

	* gnome-settings-xsettings.c (xsettings_callback):
	(gnome_settings_xsettings_load): Set the Net/FallbackIconTheme
	XSetting for new versions of gnome-icon-theme and gtk+ >= 2.8.10

	See bug #325546

2006-01-11  Sebastien Bacher  <seb128@debian.org>

	reviewed by: Bastien Nocera <hadess@hadess.net>

	* actions/acme-fb-level.c: (acme_fblevel_error_quark),
	(acme_fblevel_new):
	* actions/acme-fb-level.h:
	* gnome-settings-multimedia-keys.c:
	(gnome_settings_multimedia_keys_load):
	cleanup messages about pmu on powerbook,
	patch by Jeroen Zwartepoorte <jeroen.zwartepoorte@gmail.com>
	(Closes: #132655)

2006-01-11  Sebastien Bacher  <seb128@debian.org>

	* actions/acme.h:
	* gnome-settings-multimedia-keys.c: (update_kbd_cb), (init_kbd),
	(acme_filter_events):
	drop the keysym/keycode binding code, it's an hack and 
	doesn't work fine, patch by Bastien Nocera <hadess@hadess.net>
	(Closes: #133815)	

2006-01-11  Scott Reeves <SReeves@novell.com>

	* gnome-settings-sound.c (reload_foreach_cb): only disable sounds
	for system events.
	(apply_settings): ditto.

2006-01-03  Łukasz Stelmach <stlman@poczta.fm>

	Fixes #320727

	* xrdb/Emacs.ad: added more settings to make Emacs' UI mimic better
	GNOME's look & feel.

2006-01-03  jenglish <jenglish@flightlab.com>

	Fixes #130299

	* xrdb/Tk.ad: restores prelight/active/mouse-over feedback for Tk
	buttons, checkbuttons, scrollbars, etc.

2005-12-14  Matthias Clasen  <mclasen@redhat.com>

	Fixes #323895
	
	* gnome-settings-xsettings.c: Support the symbolic colors setting
	in GTK+ 2.10.  

2005-12-12  Philippe Troin <phil@fifi.org>

	Fixes #323690

	* gnome-settings-multimedia-keys.c (update_kbd_cb, init_kbd): don't
	grab keyboard when invalid keys are present in the GConf database.
	
2005-11-21  Jens Granseuer <jensgr@gmx.net>

	Fixes #321778

	* gnome-settings-daemon/gnome-settings-keyboard.c
	(numlock_set_xkb_state, numlock_get_gconf_state): C89 compilation
	fixes.

2005-11-14  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-xsettings.c:
	define "Gtk/ShowInputMethodMenu"/"Gtk/ShowUnicodeMenu" xsettings,
	patch by Matthias Clasen (Closes: #319634).
	
2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* actions/acme-volume-dummy.c: (acme_volume_dummy_finalize):
	* actions/acme-volume.c: (acme_volume_class_init),
	(acme_volume_new):
	* clipboard-manager.c: (clipboard_bytes_per_item),
	(clipboard_manager_process_event):
	* gnome-settings-daemon.c:
	(gnome_settings_daemon_spawn_with_input):
	* gnome-settings-default-editor.c: (vfs_change_cb):
	* gnome-settings-keybindings.c: (grab_key):
	* gnome-settings-typing-break.c:
	* gnome-settings-xrdb.c: (scan_ad_directory):
	* gnome-settings-xsettings.c: (type_to_string):
	* xsettings-manager.c: Remove unused code and functions. Mark
	some functions static and fix other compiler warnings.

2005-10-21  Ray Strode  <rstrode@redhat.com>

	Remap buttons on auxillary mice for left-handed 
	mode (bug 314409).

	* gnome-settings-mouse.c  (supports_xinput_devices): new
	function to detect XInput Extension
	(configure_button_layout): new function to set up
	logical mouse button layout for left or right handed
	mode
	(xinput_device_has_buttons): new function to detect if
	an xinput device has buttons to reconfigure
	(set_xinput_devices_left_handed): new function to set
	auxillary mice into left-handed mode
	(set_left_handed): call set_xinput_devices_left_handed
	if available

2005-10-18  Rodrigo Moya <rodrigo@novell.com><>

	* gnome-settings-font.c (load_xcursor_theme):
	* gnome-settings-xsettings.c (gnome_xft_settings_set_xsettings):
	run xrdb with -nocpp, since it's not needed here.

2005-10-16  Rodrigo Moya <rodrigo@novell.com>

	* factory.c: declare a global GConfClient.
	(main): unref the global GConfClient.

	* gnome-settings-daemon.[ch] (gnome_settings_daemon_get_conf_client):
	new function to use the same GConfClient everywhere.
	(gnome_settings_daemon_new): use the global GConfClient.

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf,
	ax_response_callback, set_gconf_from_server):
	* gnome-settings-gtk1theme.c (apply_settings):
	* gnome-settings-keybindings.c (bindings_get_entry):
	* gnome-settings-keyboard.c (numlock_get_gconf_state,
	numlock_set_gconf_state, apply_settings):
	* gnome-settings-keyboard-xkb.c (apply_xkb_settings,
	gnome_settings_keyboard_xkb_sysconfig_changed_response,
	gnome_settings_keyboard_xkb_analyze_sysconfig,
	gnome_settings_chk_file_list):
	* gnome-settings-screensaver.c (key_toggled_cb,
	really_start_screensaver):
	* gnome-settings-sound.c (apply_settings):
	* gnome-settings-xmodmap.c (check_button_callback,
	gnome_settings_load_modmap_files, remove_button_clicked_callback,
	load_button_clicked_callback, gnome_settings_modmap_dialog_call):
	* gnome-settings-xsettings.c (xft_callback):
	use the global GConfClient.

	* gnome-settings-keyboard-xkb.c (gnome_settings_keyboard_xkb_load):
	don't get another GConfClient when we're getting one passed!

2005-10-14  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-daemon.c (child_watch_cb): added this function to
	watch for children...
	(gnome_settings_daemon_spawn_with_input): ...started here, instead
	of just blocking.

	* gnome-settings-screensaver.c (gnome_settings_screensaver_load): do
	lazy loading of the screensaver.
	(really_start_screensaver): start on a 25 seconds timeout.

	* gnome-settings-typing-break.c (gnome_settings_typing_break_load): do
	lazy loading og the typing break applet.
	(really_setup_typing_break): start on a 30 seconds timeout.

2005-10-14  Erwann Chenede <erwann.chenede@sun.com>

	Fixes #314774

	* gnome-settings-xrdb.c (gnome_settings_xrdb_load): connect to
	"notify:gtk-theme-name" signal, to run xrdb only when the whole theme
	has been changed.
	(theme_changed): callback for "notify:gtk-theme-name".

2005-10-10  JÃ¼rg Billeter  <j@bitron.ch>

	reviewed by: Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard.c: (gsd_keyboard_get_hostname_key),
	(numlock_NumLock_modifier_mask), (numlock_set_xkb_state),
	(numlock_gconf_state_key), (numlock_get_gconf_state),
	(numlock_set_gconf_state), (numlock_xkb_callback),
	(numlock_install_xkb_callback), (apply_settings),
	(gnome_settings_keyboard_init): Remember NumLock state between sessions.
	Fixes bug #74215. Patch by Sebastian Kapfer  <sebastian_kapfer@web.de>

2005-09-16  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-settings-font.c: (load_xcursor_theme): Don't leak
	the cursor theme name. Closes bug #314692.

2005-09-14 Ray Strode  <rstrode@redhat.com>

	* gnome-settings-mouse.c: previous patch breaks the build,
	just revert for now, bug 316142.

2005-09-12  Ray Strode  <rstrode@redhat.com>

	Remap buttons on auxillary mice for left-handed 
	mode (bug 314409).

	* gnome-settings-mouse.c  (supports_xinput_devices): new
	function to detect XInput Extension
	(configure_button_layout): new function to set up
	logical mouse button layout for left or right handed
	mode
	(xinput_device_has_buttons): new function to detect if
	an xinput device has buttons to reconfigure
	(set_xinput_devices_left_handed): new function to set
	auxillary mice into left-handed mode
	(set_left_handed): call set_xinput_devices_left_handed
	if available

2005-08-03  Sebastien Bacher  <seb128@debian.org>

	* actions/Makefile.am: fix the build without gstreamer and with alsa,
	patch by Paul Drain <pd@cipherfunk.org> (Closes: #307368).

2005-07-20  Rodrigo Moya <rodrigo@novell.com>

	* gnome-settings-screensaver.c (gnome_settings_screensaver_load):
	* gnome-settings-multimedia-keys.c (do_action): try to run
	gnome-screensaver, and if that fails, run xscreensaver.

2005-07-15  Mark McLoughlin  <mark@skynet.ie>

	Change the way XKB GConf preferences are handled so that:
	  1) GConf keys are never written unless the user changes
	     the preferences
	  2) If the keys are unset, the default XKB settings are
	     used

	See bug #310513

	* gnome-settings-keyboard-xkb.c:
	(apply_xkb_settings): use the default XKB settings for
	any unset GConf keys, and only save a copy of the default
	XKB config to GConf when we're actually apply a config
	that is different from the default.
	(gnome_settings_keyboard_xkb_sysconfig_changed_response):
	If the user decides to go back to the default XKB settings,
	just unset the GConf keys.
	(gnome_settings_keyboard_xkb_analyze_sysconfig): ignore
	overrideSettings and don't save a back of the XKB defaults
	at startup.

2005-07-25  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-accessibility-keyboard.c: (warning_dialog_post):
	* gnome-settings-keyboard-xkb.c:
	(gnome_settings_keyboard_xkb_analyze_sysconfig):
	set windows' icons, patch by Jaap A. Haitsma <jaap@haitsma.org>
	(Closes: #305096).

2005-07-12  Sebastien Bacher  <seb128@debian.org>

	* modmap-dialog.glade: fix a label form (Closes: #167739).

2005-07-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-keyboard-xkb.c: (activation_error):
	fixed some typo, Clytie Siddall <clytie@riverland.net.au> 
	(Closes: #302614).

2005-07-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-keyboard-xkb.c: (activation_error):
	fix the markup usage of the XKB dialog (Closes: #308279).

2005-07-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-xsettings.c: 
	patch by Matthias Clasen <mclasen@redhat.com> to expose the cursor 
	theme settings as xsettings (Closes: #308104).

2005-06-12  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-daemon.c: (clipboard_manager_watch_cb):
	return instead of using an assertion (Closes: #307149).

2005-06-12  Christophe Fergeau  <teuf@gnome.org>

	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_get_volume): fix crash when trying to change 
	volume using the multimedia keys, fixes #307351

2005-03-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnome-settings-accessibility-keyboard.c: make sticky keys and slow
	keys dialog more HIG compliant and usable (selectable text, no
	separator, making ESC key close the dialog, separation between
	widgets, etc...)

2005-06-06  Rodrigo Moya <rodrigo@novell.com>

	* GNOME_Settings_Daemon.server.in: added name and description
	to the object information.

2005-06-05  Ronald S. Bultje  <rbultje@ronald.bitfreak.net>

	* actions/Makefile.am:
	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_set_mute), (update_state),
	(acme_volume_gstreamer_get_mute),
	(acme_volume_gstreamer_get_volume),
	(acme_volume_gstreamer_set_volume):
	  Fix mute handling, particularly for devices without hardware
	  mute support or with applications that use volume=0 for mute.
	  Also fix the fact that we linked against all of ALSA, OSS and
	  GStreamer if they were all available; default to GStreamer.
	  Fixes #306036.

2005-06-03  Anders Carlsson  <andersca@imendio.com>

	* Makefile.am:
	* clipboard-manager.c:
	* clipboard-manager.h:
	* list.c:
	* list.h:
	* xutils.c
	* xutils.h:
	Add clipboard manager files.
	
	* gnome-settings-daemon.c: (clipboard_manager_terminate_cb),
	(clipboard_manager_event_filter), (clipboard_manager_watch_cb),
	(finalize), (gnome_settings_daemon_new):
	Use clipboard manager for persistent clipboard storage.
	
2005-05-11  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-xsettings.c: list "Gtk/MenuBarAccel", allow to 
	configure the menubar shortcut (Closes: #120859).

2005-03-14  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-settings-accessibility-keyboard.c: (set_server_from_gconf),
	(set_gconf_from_server): Plug a couple of leaks.

2005-02-17  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-settings-multimedia-keys.c: (do_www_action):
	Don't set any url when starting browser.

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-keyboard-xkb.c: (gnome_settings_chk_file_list):
	patch by Kjartan Maraas <kmaraas@gnome.org> to fix a leak
	(Closes: #166796).

2005-02-03  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: fix #165018

2005-02-01  Elijah Newren  <newren@gmail.com>

	* gnome-settings-xmodmap.h:
	* gnome-settings-xmodmap.c:

	Don't forget to use 'cvs add' in order to add new files to the
	repository.  :)  (See #143487)

2005-01-29  Shakti Sen  <shprasad@novell.com>
	
	* gnome-settings-keyboard-xkb.c 
	(gnome_settings_keyboard_xkb_chk_lcl_xmm): Calls the modmap load
	dialog.
	* gnome-settings-daemon.c (gnome_settings_daemon_new):
	Loads the modmap files.
	* gnome-settings-xmodmap.h: Added newly
	* gnome-settings-xmodmap.c: Also added newly which handles the modmap
	settings.
	* modmap-dialog.glade: Added newly.

	Solved bug #143487

2005-01-12  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-accessibility-keyboard.c: (warning_dialog_post): 
	patch from John Spray <jcs116@york.ac.uk> to use the style described 
	in the HIG for the titles (Closes: #163653).

2005-01-08  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: fix #163299

2005-01-07  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-mouse.c: (set_locate_pointer): add Mod2Mask and 
	Mod4Mask to the modifiers, fix the issue with Numlock activated 
	(Closes: #149383).

2005-01-07  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: optimization - only update the 
	configuration when necessary

2005-01-04  Dennis Cranston <dennis_cranston@yahoo.com>

	* gnome-settings-multimedia-keys.c: (execute):  use g_spawn_sync() 
	and g_spawn_async() to define the working directory.
	
2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* factory.c: (main): NULL vs. 0.
	* gnome-settings-default-editor.c: (vfs_change_cb): Fix a test to
	use the boolean instead of the return value from a void function.
	This has been sitting in bugzilla forever and now other people start
	adding comments to the code about it so I'm just going to commit.
	* gnome-settings-keybindings.c: (binding_register_keys): ANSIfication.

2004-12-24  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: from now on, the applet only works as
	indicator only - all the real stuff is in g-s-d

2004-12-18  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: reflect changes in libgswitchit

2004-12-16  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-alsa.c: (acme_volume_alsa_set_mute): mute
	properly when the system has hardware mute, patch from Pierre Ossman
	<drzeus-bugzilla@drzeus.cx> (Closes: #144489)

2004-11-30  Sebastien Bacher  <seb128@debian.org>

	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_finalize), (acme_volume_gstreamer_set_mute),
	(acme_volume_gstreamer_get_mute),
	(acme_volume_gstreamer_get_volume),
	(acme_volume_gstreamer_set_volume),
	(acme_volume_gstreamer_close_real), (acme_volume_gstreamer_open),
	(acme_volume_gstreamer_close), (acme_volume_gstreamer_init):
	free the alsa device, after 4 seconds, with gstreamer too. 
	Patch from Arnaud Patard <Arnaud Patard> (Closes: #141793).

2004-11-30  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: (do_exit_action): hack
	to get the logout action working (Closes: #141472)

2004-11-27  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: support for xmodmap introduced

2004-10-28  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-settings-xrdb.c: (append_xresource_file), (apply_settings):
	Don't nuke .Xdefaults when restarting g-s-d. Patch from Nick
	Welch <mack at incise org>. Closes bug #127050.

2004-10-21  Sebastien Bacher  <seb128@debian.org>

	* gnome-settings-default-editor.c: (vfs_change_cb):
	* gnome-settings-font.c: (load_cursor):
	* gnome-settings-gtk1theme.c: (apply_settings):
	* gnome-settings-keyboard.c: (apply_settings):
	* gnome-settings-multimedia-keys.c: (init_kbd):
	* gnome-settings-xsettings.c: (gnome_settings_xsettings_load):
	patch by Thomas Cataldo <thomas.cataldo@aliacom.fr> to fix a bunch of 
	memory leaks (Closes: #150145).

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-09-29  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: (dialog_show): rework the
	dialog_show so that the dialog is moved before it's shown, and
	use gdk_display_sync() instead of a event looping to avoid
	"reentrancy" problems when showing/hiding the dialog in fast
	successions (Closes: #144490)

2004-09-29  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-gstreamer.c: (acme_volume_gstreamer_init):
	better way to look for the volume track (patch by Michal Bukovjan
	<bukovjan@mbox.dkm.cz>) (Closes: #153866)

2004-09-27  Sergey V. Udaltsov  <svu@gnome.org>

	* gnome-settings-keyboard-xkb.c: fix one GSwitchItXkbConfig memory
	leak, spotted by kmaraas.

2004-08-30  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gnome-settings-multimedia-keys.c: applied patch from Pierre Ossman
	<drzeus-bugzilla@drzeus.cx> to display the volume dialog in the
	correct place. Fixes #144490

2004-08-22  Jeroen Zwartepoorte  <jeroen@xs4all.nl>

	* actions/acme-fb-level.c: Use the parent type in the G_DEFINE_TYPE
	macro, not its own type (fixes rh #130473).

2004-07-16  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-alsa.c: (acme_volume_alsa_finalize),
	(acme_volume_alsa_close_real), (acme_volume_alsa_open),
	(acme_volume_alsa_init): fix a crash when there aren't any ALSA mixers
	(or soundcards) present on the system

2004-07-15  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-oss.c: fix OSS compilation on NetBSD

2004-07-15  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-alsa.c: (acme_volume_alsa_finalize),
	(acme_volume_alsa_set_mute), (acme_volume_alsa_get_mute),
	(acme_volume_alsa_get_volume), (acme_volume_alsa_set_volume),
	(acme_volume_alsa_close_real), (acme_volume_alsa_open),
	(acme_volume_alsa_close), (acme_volume_alsa_init):
	rework the ALSA mixer so that:
	- the ALSA device isn't kept open at all times, only for 4 seconds
	  after the last use (Closes: #141793)
	- the hardware mute is used if it is available
	  (Closes: #141404, #144489, #140937)
	- lowering the volume doesn't move the balance to the right
	- it doesn't leak alsa-lib mixers all around

2004-06-18  Crispin Flowerday  <gnome@flowerday.cx>

	* gnome-settings-xsettings.c: Translate the menus_have_icons
	gconf key to the MenuImages xsetting (Closes bug #144201)

2004-06-18  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume.c: make AcmeVolume descend of a GObject, not
	itself (spotted by Mariano SuÃ¡rez-Alvarez <mariano@gnome.org>)

2004-06-15  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-fb-level.c: (acme_fblevel_init):
	* actions/acme-volume-alsa.c: (acme_volume_alsa_init),
	(acme_volume_alsa_class_init):
	* actions/acme-volume-gstreamer.c: (acme_volume_gstreamer_init):
	* actions/acme-volume-oss.c: (acme_volume_oss_init),
	(acme_volume_oss_class_init):
	* actions/acme-volume.c: (acme_volume_class_init),
	(acme_volume_init): cleanups, and warning fixes

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-03-11  Chris Lahey  <clahey@rigger.boston.ximian.com>

	* gnome-settings-background.c (applier_idle): Made this delay by a
	tenth of a second.  This seems to make it not reload the
	background more than once.

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-16  Jody Goldberg <jody@gnome.org>

	* gnome-settings-multimedia-keys.c (acme_error) : don't run a main
	  loop in a situation where bonobo main still be initializing.

Fri Mar 12 20:15:28 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-settings-xsettings.c: Add the FileChooserBackend as an
	xsetting.

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-03-01  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-gstreamer.c:
	(acme_volume_gstreamer_class_init): initialise GStreamer if we
	want to use it ;) (Patch by Christophe Fergeau
	<teuf@users.sourceforge.net>) (Closes: #131316)

2004-02-29  Bastien Nocera  <hadess@hadess.net>

	* actions/acme-volume-alsa.c: (acme_volume_alsa_get_volume),
	(acme_volume_alsa_set_volume): better ALSA volume steps, using
	rounding up rather than normal float to int casting
	(Closes: #124741)

2004-02-25  Bastien Nocera  <hadess@hadess.net>

	* actions/Makefile.am:
	* actions/acme-volume-gstreamer.[ch]:
	* actions/acme-volume.c: (acme_volume_class_init),
	(acme_volume_new): add GStreamer mixer support

2004-02-24  Mariano SuÃ¡rez-Alvarez <mariano@gnome.org>

	* gnome-settings-accessibility-keyboard.c
	(ax_slowkeys_warning_dialog_post) : fix a typo in a variable name, bug
	#134699.
	
2004-02-16  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c
	(ax_slowkeys_warning_dialog_post) : fix cut-n-paste-o in the message

2004-02-16  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c : include
	  libgnome/gnome-help.h to avoid potential crash on 64 bit arches.
	(ax_response_callback) : actually display the error message on
	  failure.

2004-02-15  Anders Carlsson  <andersca@gnome.org>

	* actions/Makefile.am: Link with ALSA_LIBS.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* gnome-settings-accessibility-keyboard.c: (ax_response_callback): Update
	help link to point to user-guide.xml

Mon Jan 19 11:49:03 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-settings-xsettings.c (gnome_xft_settings_get): Set the
	correct default dpi.

2004-01-16  Christophe Merlet  <redfox@redfoxcenter.org>

	* Makefile.am: Add DESTDIR variable in install-data-hook section.

2004-01-15  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: fix locating the
	pixmaps when compiling with a prefix not ending in '/'

2004-01-14  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* gnome-settings-multimedia-keys.c: fix build on Linux/PPC machines
	(the only ones to use the FB-Level code)

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-14  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: fix compilation with FB Level enabled
	* actions/acme.h: fix a stupid typo that made the WWW key not work
	* gnome-settings-multimedia-keys.c: (acme_get_screen_from_event),
	(acme_filter_events), (gnome_settings_multimedia_keys_init):
	only get the current screen if we actually need to, fix locating the
	glade file when compiling with a prefix not ending in '/'

2004-01-13  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-multimedia-keys.c: (acme_filter_events): let's
	simplify some code

Tue Jan 13 10:48:57 2004  Jonathan Blandford  <jrb@gnome.org>

	* gnome-settings-daemon: Merge in acme.  We now have a variety of
	actions for the keybinding capplet.

2004-01-12  Federico Mena Quintero  <federico@ximian.com>

	* gnome-settings-accessibility-keyboard.c
	(ax_stickykeys_warning_dialog_post): Fix ; -> , typo.

2004-01-10  Bill Haneman <billh@gnome.org>

	* gnome-settings-accessibility-keyboard.c:
	Removed we_are_changing_xkb_state flag and related logic, since it
	didn't work anyway (due to async processing).
	(set_bool): Fix a logic error that resulted in set_bool always
	returning TRUE.
	(ax_warning_dialog_post): New, creates/posts a warning dialog (below).
	(ax_stickykeys_warning_dialog_post, ax_slowkeys_warning_dialog_post):
	New functions, display warning dialog to user alerting them
	when an AccessX feature (StickyKeys or SlowKeys) is turned on via
	a keyboard shorcut.  See bug #105093.
	(ax_slowkeys_response, ax_stickykeys_response, ax_response_callback):
	New, these callbacks either dismiss the dialog, post help, or
	revert the XKB change and dismiss the dialog(s).
	(set_gconf_from_server):
	Invoke dialog above if the Xkb setting for SlowKeys or StickyKeys
	has changed in isolation, independent of the gconf setting.  This
	indicates that a keyboard shortcut has been invoked.
	
	* ../po/POTFILES.in:
	Added gnome-settings-accessibility-keyboard.c, since we now
	have translatable strings in the warning dialog (above).
	
2004-01-09  Jody Goldberg <jody@gnome.org>

	* Makefile.am : simplify and generate the file at the last possible
	  instant.  CLickety Click, no mor eworries about tmp files.
	* GNOME_SettingsDaemon.server.in: restore
	* GNOME_SettingsDaemon.server.in.in: remove

2004-01-08  Glynn Foster  <glynn.foster@sun.com>

	* GNOME_SettingsDaemon.server.in: Remove from CVS since it's
	a generated file.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Makefile.am (EXTRA_DIST) : don't ship the generated files

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-12-19  Diego Gonzalez Gonzalez  <diego@pemas.net>

	* Makefile.am: install gnome-settings-daemon in the libexec
	  directory
	* GNOME_SettingsDaemon.server.in.in: new file that contains
 	  the new locations where the gnome-settings-daemon is to be
	  found.

2003-11-13  Marco Pesenti Gritti  <marco@gnome.org>

	* gnome-settings-xsettings.c:

	Add a setting for gtk icon theme.

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

Fri Aug  1 14:51:02 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-mouse.c (set_locate_pointer): move declarations
	around.  Patch from Damien Carbery <damien.carbery@sun.com>,
	#118860

Thu Jul 31 14:22:38 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-xsettings.c (translate_string_string_toolbar):
	Patch from Anders Carlsson to special case "both-horiz".

Thu Jul 31 14:06:51 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-mouse.c: Patch from Satyajit Kanungo
	<satyajit.kanungo@wipro.com> to make locate pointer work in
	a multi-screen environment.

2003-07-17  Richard Hult  <richard@imendio.com>

	* gnome-settings-typing-break.c (setup_typing_break): Start with
	-n to avoid the warning about notification area.
	(gnome_settings_typing_break_init): Fix a warning.

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-03  Bastien Nocera  <hadess@hadess.net>

	* gnome-settings-keybindings.c: (get_screens_list),
	(screen_exec_display_string), (grab_key), (do_grab),
	(gnome_settings_keybindings_load): grab keys on all the screens for the
	current display

Thu Jun 26 07:37:20 2003  Jonathan Blandford  <jrb@gnome.org>

	* gnome-settings-typing-break.c: new module to handle the
	typing-break-monitor.

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-06-12  Michael Meeks  <michael@ximian.com>

	* Makefile.am: Make IDL compile depend on compiler too.

Mon Jun  2 13:23:25 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-xrdb.c (append_xresources): Patch from Jens
	Granseuer <jensgr@gmx.net> to fix on non-C99 compilers.

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-05-07  Jody Goldberg <jody@gnome.org>

	* xrdb/Makefile.am (EXTRA_DIST) : EXTRA_DIST the data files

2003-05-02  Ross Burton  <ross@burtonini.com>

	* gnome-settings-xrdb.c (scan_for_files): 
	If ~/.gnome2/xrdb doesn't exist, don't stop.

	* xrdb/.cvsignore:
	Added.

2003-05-02  Ross Burton  <ross@burtonini.com>

	* xrdb/Makefile.am (xrdbdir):
	$(datadir) is lowercase not uppercase! :(

2003-05-01  Ross Burton  <ross@burtonini.com>

	* gnome-settings-xrdb.[ch]:
	Using the current GTK+ theme as a base for colours, set a bunch of
	properties in the X resource database. And as if by magic, legacy
	apps (Xaw, Tk, Motif) match GNOME!

	* xrdb/*.ad:
	Data files for above.

Thu Feb  6 16:43:33 2003  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-font.c (load_xcursor_theme): handle xcursor so
	that we support Xcursor files.

	* gnome-settings-daemon.c: move
	gnome_settings_daemon_spawn_with_input here so multiple modules
	can use it.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1

Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.2.0

2003-01-19  Alex Duggan  <aldug@astrolinux.com>

	* gnome-settings-mouse.c (filter), (set_locate_pointer):
	make the right control key also locate the mouse pointer.
	Fixes #87426

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-08  Mark McLoughlin  <mark@skynet.ie>

	Create a XSettingsManager for every available
	screen and apply settings changes to each.

	* gnome-settings-daemon.c:
	(manager_event_filter): make this a per-window filter
	and ask the appropriate xsettings manager to filter
	the event.
	(finalize): dispose of every manager.
	(gnome_settings_daemon_new): create a settings manager
	for each screen.

	* gnome-settings-xsettings.c:
	(translate_bool_int), (translate_int_int),
	(translate_string_string), (process_value),
	(xsettings_callback), (xft_callback),
	(gnome_xft_settings_set_xsettings),
	(gnome_settings_xsettings_load): apply settings to
	every available settings manager.

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-31  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c
	(gnome_settings_accessibility_keyboard_init) : register the gconf
	  handler early.
	(gnome_settings_accessibility_keyboard_load) : not here where it is
	  too late.

2002-10-26  Havoc Pennington  <hp@pobox.com>

	* gnome-settings-wm.c, gnome-settings-wm.h: blow this away

	* gnome-settings-daemon.c: don't init WM stuff

Sun Oct 27 09:00:46 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome-settings-xsettings.c: add Gtk/CanChangeAccels to xsettings

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-02-07  Anders Carlsson  <andersca@gnu.org>

        * gdk/x11/xsettings-common.c (xsettings_setting_free): Free
        the setting name.

2002-10-20  Mark McLoughlin  <mark@skynet.ie>

	* factory.c: (main): don't connect to the session manager.

2002-10-18 Erwann Chenede - <erwann.chenede@sun.com>

        * gnome-settings-keybindings.c
	(screen_exec_display_string) : added function to get display 
				       string from an XEvent.
        (keybindings_filter) : set a fully qualified DISPLAY env variable
			       when spawing a keybinding action.

2002-10-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=91535
	* gnome-settings-sound.c : as michael points out it is silly to start
	  the daemon just so that we can stop it.  Dunno much about esound
	  code so the funky logic is left untouched.

2002-10-08  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=95179
	* gnome-settings-accessibility-keyboard.c
	(gnome_settings_accessibility_keyboard_init) : do nothing here.
	(gnome_settings_accessibility_keyboard_load) : install the filter
	  here, _after_ loading the gconf settings.
	(set_gconf_from_server) : check to see if anything has actually
	  changed before sending off the changeset.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

Tue Sep 24 15:47:29 2002  HideToshi Tajima  <hidetoshi.tajima@sun.com>

	disable/enable preedit/status in GtkIMContextXIM (#59076)
	
	* gnome-settings-xsettings.c: added two new xsettings
	for GTK+ input method preedit and status styles.

	With the other patch for gtk+, the preedit and status styles of
	GTK+ input method are configurable with associated gconf schemas
	keys:
	"/desktop/gnome/interface/gtk-im-preedit-style"
	"/desktop/gnome/interface/gtk-im-status-style"

	Both are set to "callback" by default, and platform's 
	packging can have different default by changing
	libgnome's desktop_gnome_interface.schemas.

2002-09-11  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  set the timeout options fully.

2002-09-10  Jody Goldberg <jody@gnome.org>

	* gnome-settings-wm.c (gnome_settings_wm_load) : protect against NULL.

2002-09-09  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=91223
	* gnome-settings-wm.c (gnome_settings_wm_load) : add some valdation to
	ensure that we don't set the number of workspaces to 0
	(which pisses off kde).  Also apply fcrozat's patch to restore the
	names.

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  the feature beep is not related the the feature timeout.

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-15  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=90778
	* gnome-settings-accessibility-keyboard.c (set_gconf_from_server) :
	  Add a heuristic so that we do not disable features in gconf just
	  because they are disabled in the X server.  If the master switch is
	  already disabled in gconf we can guess that most of the time it
	  means that people want to keep their flags.

2002-08-14  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=90778
	* gnome-settings-default-editor.c (vfs_change_cb) : be more careful

2002-08-07  Michael Meeks  <michael@ximian.com>

	* gnome-settings-sound.c (stop_esd): flag that
	we scuppered the remote daemon.
	(apply_settings): resume it if we killed it,
	don't kill it more than once.
	Don't iterate over all the sounds and try to
	push to the server if we have sound disabled,
	saves a chunk of time.
	This fixes the 'toggle sound a lot breaks it' bug.

2002-08-03  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=88634
	* gnome-settings-mouse.c (set_left_handed) : merge in a variant of the
	  proposed patch.

2002-07-27  Mark McLoughlin  <mark@skynet.ie>

	Add multiscreen support for background rendering.

	* gnome-settings-background.c:
	(background_callback): apply prefs to all screens.
	(gnome_settings_background_init): create a BGApplier for
	each screen.
	(gnome_settings_background_load): apply prefs to all
	screens.

2002-07-22  jacob berkman  <jacob@ximian.com>

	* gnome-settings-background.c (gnome_settings_background_load): if
	nautilus is drawing the desktop, just return

2002-06-19  jacob berkman  <jacob@ximian.com>

	* Makefile.am: fix build

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=85327
	* gnome-settings-xsettings.c (translate_string_string) : These strings
	  do look wrong.  The capplet is setting the keys from the schema.
	  we were not mapping them to the write xsettings.  It did not really
	  matter because we were not using xsettings to communicate these
	  values.

2002-06-10  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  add some bounds checking.

2002-06-06  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-settings-keybindings.c: Make the last string consistent
	with the rest in this file.
	
2002-06-06 Erwann Chenede - <erwann.chenede@sun.com>

       * gnome-settings-keybindings.c (keybindings_filter) :
         do not quit gnome-settings-daemon when pressing Ok 
	 when the warning dialog appears. fix bug #84364
	 Added localization hooks.
	 
2002-05-30  Jody Goldberg <jody@gnome.org>

	* gnome-settings-keyboard.c (xkb_set_keyboard_autorepeat_rate) : Add
	  some bounds checking.

Wed May 29 20:23:13 2002  Jonathan Blandford  <jrb@redhat.com>

	* Makefile.am: Add gnome-settings-keybinding
	* gnome-settings-daemon.c: (gnome_settings_daemon_new): initialize
	keybindings support
	* gnome-settings-keybindings.[ch]: Patch to add support for custom
	keybindings.  Thanks to Erwann Chenede <Erwann.Chenede@sun.com>
	for the patch.

2002-05-22  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  disable some debug spew.
	(set_gconf_from_server) : ditto.

2002-05-22  jacob berkman  <jacob@ximian.com>

	* gnome-settings-font.c (load_cursor): run the mkfontdir command
	synchronously to avoid a possible race.  extra precaution for
	#78023

	* gnome-settings-daemon.c (gnome_settings_daemon_new): run
	background settings after everything else, as some of those spawn
	processes (xscreensaver) and background settings nices itself

	should fix #78742

	* factory.c (main): quit when we get the die signal from the SM

2002-05-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=80325
	* gnome-settings-keyboard.c (apply_settings) : although we may not be
	  able to support the autorepeat rate setting we can enable/disable
	  autorepeat.

2002-05-16  jacob berkman  <jacob@ximian.com>

	* gnome-settings-keyboard.c (apply_settings): load from the
	correct key for whether the bell should be on or not
	(apply_settings): pass the right flags to XChangeKeyboardControl()

	fixes #78016 and 78015

	* Makefile.am:
	* gnome-settings-default-editor.[ch]: keep text/plain and text*
	using the same mime type (#78037)

	* gnome-settings-daemon.c (gnome_settings_daemon_new): load editor
	and keyboard settings (bugs #78037 and #78016)

Tue May 14 14:50:34 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-*.c: Remove all debug print statements, #76085

Mon May 13 17:05:22 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-font.c (load_cursor): s/.gnome/.gnome2/g

2002-05-12  Anders Carlsson  <andersca@gnu.org>

	* gnome-settings-xsettings.c:
	Watch the dnd threshold xsetting.
	
2002-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* factory.c: Add calls to bindtext* for i18n.
	* Makefile.am: Add -DGNOMELOCALEDIR="\".....\""
	* gnome-settings-font.c: Mark strings and add #includes.
	* gnome-settings-screensaver.c: Same
	* gnome-settings-sound.c: Same.
	* gnome-settings-xsettings.c: Same.
	* gnome-settings-wm.c: Fix a warning.
	
2002-04-24  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  max speed is in pixels per _event_ not relative to time.  double
	  check that we don't set 0.

2002-04-24  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c
	(gnome_settings_accessibility_keyboard_init) : we're only interested
	  in control changes.
	(set_gconf_from_server) : set both XkbAccessXKeysMask|XkbAccessXFeedbackMask
	  when we enable accessX, and fix typo.

2002-04-23  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (get_xkb_desc_rec) :
	  suppress warning.

2002-04-17  Rachel Hestilow  <hestilow@ximian.com>

	* GNOME_SettingsDaemon.server.in: s/gnome2/gnome

Tue Apr 16 17:09:02 2002  Jonathan Blandford  <jrb@redhat.com>

	* factory.c (main): Patch from Akira Tagoh <tagoh@gnome-db.org> to
	change the restart command from gnome2-settings-daemon to
	gnome-settings-daemon.

2002-04-12  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  Doh! We need to clear the flags if they are disabled.

2002-04-11  jacob berkman  <jacob@ximian.com>

	* gnome-settings-accessibility-keyboard.c: only do xkb calls if
	xkb is present (better fix for previous commit)

2002-04-11  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) : be
	  even more anal.

2002-04-10  Jody Goldberg <jody@gnome.org>

	* Makefile.am (gnome_settings_daemon_LDADD) : remove XF86MISC_LIBS

2002-04-01  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=77203
	* gnome-settings-accessibility-keyboard.c (set_gconf_from_server) : be
	  more anal about server failure.
	(set_server_from_gconf) : ditto.

2002-03-30  Jody Goldberg <jody@gnome.org>

	* gnome-settings-xsettings.c (translations) : reorder to match gdk.
	  This simplifies maintenance.

Tue Apr  9 11:58:10 2002  Jonathan Blandford  <jrb@gnome.org>

	* Makefile.am: Add commented out disk support until I finish the code.

2002-04-04  jacob berkman  <jacob@ximian.com>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf):
	prefer gdk_flush() to XFlush() (fixes bug #77208)

2002-03-29  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c
	(gnome_settings_accessibility_keyboard_init) : get really anal about
	  potential X errors.
	(set_gconf_from_server) : ditto.

2002-03-29  Jody Goldberg <jody@gnome.org>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  Add a gdk_error_trap just in case.

	* gnome-settings-keyboard.c (apply_settings) : don't init things to
	  bogus values unless it is ncessary.  Add a gdk_error_trap around the
	  X settings to avoid causing the server to exit if something goes
	  wrong.  Be sure to flush before we pop the handler.

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf) :
	  fix spelling error in schema.

	* gnome-settings-font.c (load_cursor) : add missing NULL terminator.

	* gnome-settings-keyboard.c (apply_settings) : click volume is an
	  integer from 0..100, schema is an int too.  Remove float and double
	  and add some bounds checking.

	* gnome-settings-accessibility-keyboard.c : make the debug spew optional
	(set_server_from_gconf) : typo that only applied settings when we
	  shouldn't.
	(set_server_from_gconf) : set the mouse key accel flag when mk is
	  enabled so that we can actually set the accel parms.  How did this
	  work in X11R6 ?
	(set_server_from_gconf) : scale mk_time_to_max by mk_interval so that
	  it is actually in msec.
	(set_gconf_from_server) : do the inverse here.

2002-03-28  jacob berkman  <jacob@ximian.com>

	* gnome-settings-accessibility-keyboard.c (set_server_from_gconf):
	fix a typo

Thu Mar 28 09:18:40 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-daemon.c: somehow the font settings were
	removed.  Re add.

2002-03-26  jacob berkman  <jacob@ximian.com>

	* gnome-settings-screensaver.[ch]
	(gnome_settings_screensaver_load): start xscreensaver, and display
	an error dialog if it failed

	* gnome-settings-daemon.c (gnome_settings_daemon_new): init/load
	screensaver

2002-03-25  jacob berkman  <jacob@ximian.com>

	* factory.c (main): tell the SM to restart us only after we know
	we're unique with bonobo-activation

2002-03-17  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-xsettings.c: Add keybindingtheme

2002-03-17  Kjartan Maraas  <kmaraas@gnome.org>

	* factory.c: Move include <config.h> to the top.
	
2002-03-13  jacob berkman  <jacob@ximian.com>

	* gnome-settings-daemon.c (_GnomeSettingsDaemonPrivate): add a
	dummy field
	(gnome_settings_daemon_register_callback): cast functions to
	gpointers as forte does not like this (bug #74349)

2002-03-07  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-settings-keyboard.c (apply_settings): Use correct GConf keys,
	click volume is of type float, not int

2002-03-10  Seth Nickell  <snickell@stanford.edu>

	* GNOME_SettingsDaemon.server.in:

	Dum de dum. Forgot to cvs add.

2002-03-10  Seth Nickell  <snickell@stanford.edu>

        Make the settings daemon a singleton BonoboObject so capplets
	can detect whether its running and activate it if its not.
	
	* Makefile.am:
	* factory.c: (main):
	* gnome-settings-daemon.c: (awake_impl), (finalize),
	(gnome_settings_daemon_class_init), (gnome_settings_daemon_init),
	(gnome_settings_daemon_new):
	* gnome-settings-daemon.h:

	Convert the settings-daemon into a BonoboObject and add code to
	register it with bonobo-activation. Still has a main loop that can
	be run normally to launch the settings daemon.
	
2002-03-06  Miles Lane  <miles@megapathdsl.net>

	* gnome-settings-daemon.c -- Correct the gnome_program_init()
	  call to specify the correct program name.  Specify the
	  restart command, so that the session manager knows how
	  to restart the daemon if it is killed for any reason.

2002-03-04  Anders Carlsson  <andersca@gnu.org>

	* Makefile.am:
	* gnome-settings-daemon.c: (main):
	* gnome-settings-wm.c: (set_number_of_workspaces),
	(set_workspace_names), (wm_callback), (gnome_settings_wm_init),
	(gnome_settings_wm_load):
	* gnome-settings-wm.h:
	Add support for bridging WM settings, currently supports
	_NET_NUMBER_OF_DESKTOPS and _NET_DESKTOP_NAMES.
	
Tue Feb 19 23:53:06 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-font.c: set the font path and handle cursors.

2002-02-13  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-settings-xsettings.c: #include <string.h> to kill warning

Tue Feb 12 01:34:19 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-daemon.c (main): add session management.

2002-02-10  Richard Hestilow  <hestilow@ximian.com>

	* gnome-settings-xsettings.c: Added font setting.

2002-02-04  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-settings-locate-pointer.c (locate_pointer_expose): Return
	FALSE on default case, instead of nothing
	(setup_window): Replace deprecated methods

	* gnome-settings-sound.c (reload_foreach_cb): Replace deprecated
	methods

2002-01-13  Seth Nickell  <snickell@stanford.edu>

	reviewed by: <delete if not using a buddy>

	* Makefile.am:

2002-01-28  Richard Hestilow  <hestilow@ximian.com>

	* Link to libbackground.la.
	
2002-01-21  Anders Carlsson  <andersca@gnu.org>

	* gnome-settings-xsettings.c: Add support for changing themes.

Mon Jan 21 01:29:57 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-keyboard.c: Move locate_pointer out.

	* gnome-settings-mouse.c: Move locate_pointer in.  Clean up code.
	Remove print statements.

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (INCLUDES): Added missing -I$(top_srcdir)
	(bin_PROGRAMS): Rename binary gnome2-settings-daemon

	* gnome-settings-daemon.c (main): Enable code to load settings;
	call gnome_settings_background_load too

	* gnome-settings-background.c (gnome_settings_background_init):
	Use the correct key to register the callback

Wed Jan  9 21:22:30 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-keyboard.c (filter): weee!  locate_cursor works
	now!!!!
	* gnome-settings-locate-pointer: speed up animation.

2002-01-09  Anders Carlsson  <andersca@gnu.org>

	* gnome-settings-daemon.c (main): Call gconf_client_add_dir.

Tue Jan  8 15:50:59 2002  Jonathan Blandford  <jrb@redhat.com>

	* Makefile.am: Add locate-pointer.
	* gnome-settings-keyboard.c: Initial attempt at locate-pointer.
	Don't understand XKB enough to figure it out.
	* gnome-settings-locate-pointer.[ch]: Draw the locate pointer
	box.  Pretty snazzy for a useless (but fun) feature.
	* gnome-settings-mouse.c:  Move locate pointer to it's own file.

2002-01-08  Richard Hestilow  <hestilow@ximian.com>

	* gnome-settings-daemon.c (main): Initialize libgnomeui,
	and load sounds.

	* gnome-settings-sound.c (stop_esd): Just tell esd to let go
	of /dev/dsp.

2002-01-04  Bradford Hovinen  <hovinen@ximian.com>

	* all: Convert from GConfEngine to GConfClient

2001-01-04  Richard Hestilow  <hestilow@ximian.com>

	* gnome-settings-sound.[ch]: Added.
	
	* Makefile.am: Add gnome-settings-sound sources, link to libsounds.

	* gnome-settings-daemon.c: Call gnome_settings_sound_init.
	
2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* All: Eliminate compiler warnings

	* gnome-settings-daemon.h: Use __GNOME_SETTINGS_DAEMON_H for the
	enclosing macro

	* gnome-settings-background.c: Update

2001-12-19  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am
	(gnome_settings_daemon_SOURCES): Add
	gnome-settings-{keyboard|background}.[ch]
	(INCLUDES): Add -I$(top_srcdir)/libbackground
	(gnome_settings_daemon_LDADD): Add
	$(top_builddir)/libbackground/libbackground.a

	* gnome-settings-daemon.c (main): Initialize keyboard and
	background subsystems
